/* ScummVM - Graphic Adventure Engine
 *
 * ScummVM is the legal property of its developers, whose names
 * are too numerous to list here. Please refer to the COPYRIGHT
 * file distributed with this source distribution.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

/* Detection tables for Gobliins 2: The Prince Buffoon. */

#ifndef GOB_DETECTION_TABLES_GOB2_H
#define GOB_DETECTION_TABLES_GOB2_H

// -- DOS VGA Floppy --

{
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "b45b984ee8017efd6ea965b9becd4d66"),
		EN_GRB,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "dedb5d31d8c8050a8cf77abedcc53dae"),
		EN_USA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Supplied by raziel_ in bug report #1891867
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "25a99827cd59751a80bed9620fb677a0", 893302),
		EN_USA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "a13ecb4f6d8fd881ebbcc02e45cb5475", 837275),
		FR_FRA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Supplied by blackwhiteeagle in bug report #1605235
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "3e4e7db0d201587dd2df4003b2993ef6"),
		DE_DEU,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "a13892cdf4badda85a6f6fb47603a128"),
		DE_DEU,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2602017
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "c47faf1d406504e6ffe63243610bb1f4"),
		IT_ITA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "cd3e1df8b273636ee32e34b7064f50e8"),
		RU_RUS,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Supplied by arcepi in bug report #1659884
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "5f53c56e3aa2f1e76c2e4f0caa15887f", 829232),
		ES_ESP,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},

// -- DOS VGA CD --

{
	{
		"gob2cd",
		"v1.000",
		AD_ENTRY1("intro.stk", "9de5fbb41cf97182109e5fecc9d90347"),
		EN_USA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{ // Supplied by pykman in bug report #3067489
	{
		"gob2cd",
		"v2.01 Polish",
		AD_ENTRY1s("intro.stk", "3025f05482b646c18c2c79c615a3a1df", 5011726),
		UNK_LANG,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{
	{
		"gob2cd",
		"v2.01",
		AD_ENTRY1("intro.stk", "24a6b32757752ccb1917ce92fd7c2a04"),
		EN_ANY,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{
	{
		"gob2cd",
		"v2.01",
		AD_ENTRY1("intro.stk", "24a6b32757752ccb1917ce92fd7c2a04"),
		DE_DEU,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{
	{
		"gob2cd",
		"v2.01",
		AD_ENTRY1("intro.stk", "24a6b32757752ccb1917ce92fd7c2a04"),
		FR_FRA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{
	{
		"gob2cd",
		"v2.01",
		AD_ENTRY1("intro.stk", "24a6b32757752ccb1917ce92fd7c2a04"),
		IT_ITA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{
	{
		"gob2cd",
		"v2.01",
		AD_ENTRY1("intro.stk", "24a6b32757752ccb1917ce92fd7c2a04"),
		ES_ESP,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2810082
	{
		"gob2cd",
		"v1.02",
		AD_ENTRY1s("intro.stk", "5ba85a4769a1ab03a283dd694588d526", 5006236),
		HU_HUN,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2810082
	{
		"gob2cd",
		"v1.02",
		AD_ENTRY1s("intro.stk", "5ba85a4769a1ab03a283dd694588d526", 5006236),
		FR_FRA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2810082
	{
		"gob2cd",
		"v1.02",
		AD_ENTRY1s("intro.stk", "5ba85a4769a1ab03a283dd694588d526", 5006236),
		DE_DEU,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2810082
	{
		"gob2cd",
		"v1.02",
		AD_ENTRY1s("intro.stk", "5ba85a4769a1ab03a283dd694588d526", 5006236),
		ES_ESP,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2810082
	{
		"gob2cd",
		"v1.02",
		AD_ENTRY1s("intro.stk", "5ba85a4769a1ab03a283dd694588d526", 5006236),
		IT_ITA,
		kPlatformPC,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesCD,
	0, 0, 0
},

// -- Windows --

{
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "285d7340f98ebad65d465585da12910b", 837286},
			{"musmac1.mid", 0, "834e55205b710d0af5f14a6f2320dd8e", 8661},
			{0, 0, 0, 0}
		},
		FR_FRA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "25a99827cd59751a80bed9620fb677a0", 893302},
			{"musmac1.mid", 0, "834e55205b710d0af5f14a6f2320dd8e", 8661},
			{0, 0, 0, 0}
		},
		EN_USA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "25a99827cd59751a80bed9620fb677a0", 893302},
			{"musmac1.mid", 0, "834e55205b710d0af5f14a6f2320dd8e", 8661},
			{0, 0, 0, 0}
		},
		FR_FRA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "25a99827cd59751a80bed9620fb677a0", 893302},
			{"musmac1.mid", 0, "834e55205b710d0af5f14a6f2320dd8e", 8661},
			{0, 0, 0, 0}
		},
		DE_DEU,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "6efac0a14c0de4d57dde8592456c8acf", 845172},
			{"musmac1.mid", 0, "834e55205b710d0af5f14a6f2320dd8e", 8661},
			{0, 0, 0, 0}
		},
		EN_USA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "6efac0a14c0de4d57dde8592456c8acf", 845172},
			{"musmac1.mid", 0, "834e55205b710d0af5f14a6f2320dd8e", 8661},
			{0, 0, 0, 0}
		},
		FR_FRA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Found in french ADI 2 Francais-Maths CM1
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "24489330a1d67ff978211f574822a5a6", 883756),
		FR_FRA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Found in french ADI 2.5 Anglais Multimedia 5e
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "285d7340f98ebad65d465585da12910b", 837286),
		FR_FRA,
		kPlatformWindows,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},

// -- Mac --

{ // Supplied by fac76 in bug report #1673397
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "b45b984ee8017efd6ea965b9becd4d66", 828443},
			{"musmac1.mid", 0, "7f96f491448c7a001b32df89cf8d2af2", 1658},
			{0, 0, 0, 0}
		},
		UNK_LANG,
		kPlatformMacintosh,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{ // Supplied by koalet in bug report #2478585
	{
		"gob2",
		"",
		{
			{"intro.stk", 0, "a13ecb4f6d8fd881ebbcc02e45cb5475", 837275},
			{"musmac1.mid", 0, "7f96f491448c7a001b32df89cf8d2af2", 1658},
			{0, 0, 0, 0}
		},
		FR_FRA,
		kPlatformMacintosh,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},

// -- Amiga --

{ // Supplied by fac76 in bug report #1883808
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "eebf2810122cfd17399260cd1468e994", 554014),
		EN_ANY,
		kPlatformAmiga,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},
{
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "d28b9e9b41f31acfa58dcd12406c7b2c"),
		DE_DEU,
		kPlatformAmiga,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},
{ // Supplied by goodoldgeorg in bug report #2602057
	{
		"gob2",
		"",
		AD_ENTRY1("intro.stk", "686c88f7302a80b744aae9f8413e853d"),
		IT_ITA,
		kPlatformAmiga,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},
{ // Supplied by aldozx in the forums
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "abc3e786cd78197773954c75815b278b", 554721),
		ES_ESP,
		kPlatformAmiga,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},

// -- Atari ST --

{ // Supplied by bgk in bug report #1706861
	{
		"gob2",
		"",
		AD_ENTRY1s("intro.stk", "4b13c02d1069b86bcfec80f4e474b98b", 554680),
		FR_FRA,
		kPlatformAtariST,
		ADGF_NO_FLAGS,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},

// -- Demos --

{
	{
		"gob2",
		"Non-Interactive Demo",
		AD_ENTRY1("intro.stk", "8b1c98ff2ab2e14f47a1b891e9b92217"),
		UNK_LANG,
		kPlatformPC,
		ADGF_DEMO,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, "usa.tot", 0
},
{
	{
		"gob2",
		"Interactive Demo",
		AD_ENTRY1("intro.stk", "cf1c95b2939bd8ff58a25c756cb6125e"),
		UNK_LANG,
		kPlatformPC,
		ADGF_DEMO,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesAdLib,
	0, 0, 0
},
{
	{
		"gob2",
		"Interactive Demo",
		AD_ENTRY1("intro.stk", "4b278c2678ea01383fd5ca114d947eea"),
		UNK_LANG,
		kPlatformAmiga,
		ADGF_DEMO,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},
{ // Supplied by polluks in bug report #1895126
	{
		"gob2",
		"Interactive Demo",
		AD_ENTRY1s("intro.stk", "9fa85aea959fa8c582085855fbd99346", 553063),
		UNK_LANG,
		kPlatformAmiga,
		ADGF_DEMO,
		GUIO2(GUIO_NOSUBTITLES, GUIO_NOSPEECH)
	},
	kGameTypeGob2,
	kFeaturesNone,
	0, 0, 0
},

#endif // GOB_DETECTION_TABLES_GOB2_H
